window.onload = function() {
	var startX, endX;
	var id = 1;
	document.getElementById("body").addEventListener("touchstart", touchStart, false);
	document.getElementById("body").addEventListener("touchmove", touchMove, false);
	document.getElementById("body").addEventListener("touchend", touchEnd, false);
 	function touchStart(event) {
 		event.preventDefault();
    	var touch = event.touches[0];
     	startX = touch.pageX;
	}
    function touchMove(event) {
     	event.preventDefault();
        var touch = event.touches[0];
        endX = touch.pageX;
        return false;
    }
    function touchEnd(event) {
     	event.preventDefault();
        if (startX - endX > 100) {
        	if (1 === id) {
        		id = 2;
        	} else if (2 === id) {
        		id = 3;
        	} else {
        		id = 1;
        	}
            addAnimate(id);
        } else if (startX - endX < -100) {
            if (1 === id) {
                id = 3;
            } else if (2 === id) {
                id = 1;
            } else {
                id = 2;
            }
            addAnimate(id);
        }
    }

    function addAnimate(id) {
        $("#g-logo").animate({
            opacity:'0.5',
            height:'98px',
            width:'140px'
        }, 'slow', function() {
            changeH5(id);
            $("#g-logo").animate({
                opacity:'1',
                height:'196px',
                width:'280px'
            }, 'slow');
        });
    }

    function changeH5(id) {
        if (1 === id) {
            document.getElementById("w-subject").innerHTML = "品质保障";
            document.getElementById("w-content").innerHTML = "网易出品<br/>18年高品质个人私密信息服务";
            document.getElementById("g-logo").style.backgroundImage = "url('../images/about_1.png')";
            document.getElementById("g-li").style.backgroundImage = "url('../images/li_1.png')";
        } else if (2 === id) {
            document.getElementById("w-subject").innerHTML = "安全私密";
            document.getElementById("w-content").innerHTML = "敏感数据非对称加密储存<br/>加密传输";
            document.getElementById("g-logo").style.backgroundImage = "url('../images/about_2.png')";
            document.getElementById("g-li").style.backgroundImage = "url('../images/li_2.png')";
        } else {
            document.getElementById("w-subject").innerHTML = "不作恶 可信赖";
            document.getElementById("w-content").innerHTML = "我们拥有完善的内部安全和隐私管理流程<br/>网易出品 值得信赖";
            document.getElementById("g-logo").style.backgroundImage = "url('../images/about_3.png')";
            document.getElementById("g-li").style.backgroundImage = "url('../images/li_3.png')";
        }
        document.getElementById("g-logo").style.backgroundSize = "cover";
        document.getElementById("g-li").style.backgroundSize = "cover";
        document.title = "关于我们";
    }
};