! function() {
    window.appHost = {
        version: "1.0.0"
    };
    var callbackPool = {};
    window.appHost.invoke = function(_action, _data, _callback) {
        var rndKey = 'cbk_' + new Date().getTime();
        var fullParam = {
            action: _action,
            param: _data
        };
        if(_callback){//如果有回调函数。
            fullParam.param.callbackKey = rndKey;
            callbackPool[rndKey] = _callback;
        }

        var iframe = document.createElement("iframe");
        iframe.style.display = "none";
        iframe.src = 'jsbridge://forMoneyKeeper?param=' + encodeURI(window.JSON.stringify(fullParam));
        //
        var cleanFn = function() {
            try {
                iframe.onload = iframe.onerror = null;
                iframe.parentNode.removeChild(iframe);
            } catch (error) {}
        };

        iframe.onload = iframe.onerror = cleanFn;
        document.documentElement.appendChild(iframe);
    }
    var reqs = {};
    window.appHost.on = function(_action, _callback) {
        reqs[_action + ""] = _callback;
    }
    window.appHost.__fire = function(_action, _data) {
        var func = reqs[_action + ""];
        if (typeof func == 'function') {
            func(_data);
        }
    }
    window.appHost.__callback = function(_callbackKey,_param){
        var func = callbackPool[_callbackKey];
        if (typeof func == 'function') {
            func(_param);
        }
    }
}(window);